c**********************************************************************
c
c A simple "hello world" program for MPI/F
c
c**********************************************************************/
        program main 
        include 'mpif.h'
C	implicit none
	integer whoami,npes,ierr
C
C    Initialize environment
C
        call mpi_init(ierr)
        call mpi_comm_rank(MPI_COMM_WORLD, whoami, ierr)
        call mpi_comm_size(MPI_COMM_WORLD, npes, ierr)
		
        write(*,*) 'Hello World!'

        call mpi_finalize(ierr)
        END
